Changes------------------

5.0---------
- You can now press H to get a personal help chat message(only you can see it). This will give you information on your current infantry unit.
- A New Message will now broadcast globally at 10 seconds informing players of the ability to press the H key to get help. Every 10 minutes after that as well.
- Many Vehicles have been given a EntryHelpMessage. This will give a brief hud text display when entering vehciles to give brief helpful information about the vehicle. This only works for the pilot of a vehicle or gunners, not passangers.

- Introducing a new Nod unit called the Switchblade. A good hit and run vehicle. (Model Credit: Slave)
	--Costs 1200 Credits. 90/300 Health/Armor.
	--A good mobility hover tank.
	--Shoots laser beam shots with fast travel speeds. Making it easier to hit targets. 
	--Repairs 5 armor per second. This stacks with other self repair features such as the Combot Pilot's Repair speed.
	--Hard countered by the Tank Destroyer, if it can 1 shot you.

- Tiberium Strike Improvements & Changes.
	--The Tiberium Strike Beacon now has it's own beacon model.
	--The Tiberium Strike Beacon will now properly broadcast as a Tiberium Strike Beacon instead of Nuke or Ion Beacons. Both chat messages and sounds.
	--Fixed an issue with the beacon not playing the deployment sound.
	--In addition to the above change the beacons will now also broadcast if it's a GDI or Nod Tiberium Strike Beacon.
	--You can now purchase the Tiberium Strike Beacon in the equipment section of the purchase terminal for 2,500. The spawn on each map remains as an option.
	--As a result of the above changes there is now just the single Tiberium Strike Variant.(Used to be 2. A nuke and ion version)
	--Fixed an issue that allowed the beacon to be refilled.
	
- Introducing a new Unit(s) the Tiberium Miner.
	--Can be purchased by both teams on it's on Purchase Terminal located in the refinery. Costs 750.
	--When the refinery dies you can no longer purchase this unit. You can keep using the unit after the refinery is dead though! You'll be quite valueable at that point.
	--This unit can use it's Mining Laser weapon to mine(shoot) Tiberium Crystals located in expected places. Every crystal you mine instantly gives your team credits.
	--The amount of credits gained depends on the size and color of the crystal. Crystals will repsawn after a little bit. 

- Demo Infantry changes.
	--Removed Suicide Weapon.
	--Price increased from 550->750.
	--Raised armor from 10->200.
	--Changed SHIELD armor type to Flamethrower armor from Kevlar. This will make it more resistant to fire/flame, most explosions, and electric damage types.
	--Added Mortar Emplacement Deployable to the unit. Can be placed for $150. Mortar cannot damage buildings to avoid base to base types of issues.
	
- Hacker changes. These are being made to improve a bad experience that players had with the unit.
	--Hacker DNA will no longer drop.
	--The range at which you can deploy the terminal away from enemy buildings has been reduced from 40->25. You have to be a bit closer to deploy now.
	--The chat messages will now only display every 5 steals. The Credits Stolen and Cha-ching sound effect for stealing will now only play every 5 steals. It was to frequent and annoying before.
	--The Drop-off Radius of the Hacker Terminal has been raised from 12->25, allowing you to hear it from a little further away.
	--Updated the terminal to use a new script for stealing, reducing the total amount of scripts and how it functions... cont...
	--The terminal will now steal 1% credits to begin with and if repaired to high hp (75%+) it will steal 2% credits. After that it will distribute the stolen credits evenly. This way any poor players won't be punished quite so harshly and pushed into possible negative values.
	--Additionally the terminal will always steal credits from the opposing team of the hacker terminal.
	--The warning message from the team being stolen from has been modified to specify that the terminal is near a building for people who are not familiar with the mechanic.
	--Hacker's can no longer place their terminals near dead buildings.
	--The terminals will now check if they are near an ALIVE building and if not they will destroy theirself. So if one is at a building and it dies, it will explode.
	
- Heavy Arms changes.
	--Removed Heavy Arms railgun and replaced it with the Laser Chaingun. Having such a tanky unit with a peek and shoot weapon was a mistake and it was a bad experience to play against.
	--Heavy Arms can no longer pickup any form of Railgun or Personal Ion Cannon.
	--Lowered the Laser Chaingun SprayAngle from .55 to .40. Makes the weapon has less spread and making it a little more accurate. This also applies to the normal Laser Chaingun on the Laser Black Hand.
	--Note: This unit may get adjusted more in the future. I want to see how it plays out with the weapon change.

	
- Added new weapon models to a lot of pre-existing weapons that did not have unique models.
	--Virus Rifle (Credit: Reborn Team)
	--Kane's Railgun (Credit: Wubwub)
	--Advanced Laser Rifle (Credit: Wubwub)
	--Battle Rifle (Credit: Reborn Team?)
	
- Updated the Weapon Spawners on all maps.
	--Updated the power-up models to use the proper/better looking weapon models.
	--Added Chaingun, Grenade Launcher, Chem Sprayer, Tiberium Auto Rifle, and Volt Auto Rifle to the spawn list of potential spawns.
	--Added 3 new Unique weapons to the spawn list. These are rarer spawns than the other options.


- The equipment menu text "(Hold Alt 4 Equipment)" on the refill option was removed. It still functions if you want to use it that way but there's no need anymore.
- Implemented a new TT function that allows replacing the beacon option in the hud with an equipment menu options. You can now access the equipment menu from there.
- Added a new icon for the equipment menu in both teams PCT.
- Deployables will now display a chat message to the player if they try to deploy to close to another deployable, letting them know they need to move further away.
- Deployables will now make a sound upon successfully beginning the deploy process. 
- Upon picking up the Tiberium Strike Beacon a chat message will display to the player letting it know it's weaknesses to structures/tanks and that it's strong against infantry in a large radius.
- Changed the name of Sydney to Stealth Sydney to clarify the units function.
- Fixed a few missing entry for the preset block list for the Mk2. (Blocking any Nod units from entering it to avoid exploits).
- Adjusted Kane's Railgun reload speed from 10.000 to 0.100. He has unlimited ammo anyways.
- Adjusted Lockes's Railgun reload speed from 10.000 to 0.100. He has unlimited ammo anyways.
- Corrected Petrova's(both of them) help message to specify it consumes 2x ammo not 3x.
- Updated Grenadier help message.
- Corrected the warhead on the MK2's Anti-air missle by setting it to Flak warhead. It was shrapnel causing it to do tons to infantry.
- Fixed an issue with the Nod APC on CityFallout_Fly_Unl not having collision.

- Transport Helicopter
	--Fixed the Guns on the Nod variant being the GDI version of the guns on spawn.
	--Disabled units of the enemy team from entering either teams version of the transport heli. Cannot be stolen. Done to avoid someone from enemy team getting into the gun driven by someone of the opposite team.


- The Tesla Tank was given an electric explosion. It does not scale(meaning less damage if you're further from the center) and does low damage but is fairly easy to hit infantry with it. This should make it significantly less frustrating to hit infantry with and make it more usable in that situation too.
	--Also reduced direct damage from 32->30.
	--Changed Tesla Tank price to 1050 from 750. It was a bit to cheap for how effective it is.

- Prism Tank adjustments.
	--Raised the Prism Tank's Explosion Radius from 3.2->3.5.
	--The damage is no longer scaled. Similar to the Tesla Tank.
	--Raised explosion damage from 25->35. This and the above changes should make it's splash less worthless and more usable for weakening enemy infantry.
	--Changed Prism Tank Warhead to a new "Prism" warhead. This effectively doubles it's damage against buildings. It was pretty bad before.

- Merged the Banshee PT Hud into the Apache Hud to get some more space on the PT Menu.
- Merged the Stealth Generator PT Option into the Stealth Tank option. (Hit the arrow to choose Stealth Generator).
	--This reduces the price to 900 from 1200.
	--Slightly nerfed the reload time from 2.5s to 2.75s.

- Shifted some of the PT Placements on the Secondary (Secret) Vehicle menu for NOD.
- Moved the Gattling Tank on the Nod Secret PT to the Normal Nod PT similar to how GDI's is.
- Changed "Grenade Launcher(Standard)" to "Grenade Launcher(Std.)" in the PCT menu so it fits within the icon.
- Shifted the positions of the Proximity Mines and Repair Gun(Weak) options on the equipment menu. 
- Added Ion Cannon Beacon and Nuke Strike Beacon to their teams respective equipment menus. 
- Fixed an issue with the Kane/Locke Terminal error sound playing for everyone on their team.
- Fixed an issue with the Deploy error sound(when deploying to close to another deployable of the same type) playing for everyone on their team.

- Raised the range of Toxin Rifle to 100 from 80.
- Added a dropping shots to the Tiberium Auto Rifle and the Toxin Rifle so you can rain Tiberium on your enemies.
- Fixed an issue that would cause any spy other than the Nod Soldier spy to not be detected. All spies should now be detected by Sensor Array as intended.
- Both teams APCs will now regen 20 Health/sec to PASSANGERS. Does not Regen Shield, does not regen the pilots health.
- Changed Build Times for the Weapons Factory and Airstrip from 12->11. Lowering it further can cause pathfinding issues :(
- Fixed an issue where the leader armor type would not be pierced as if it were a "soft target".
- Fixed an issue that caused GDI Soldiers(basic infantry) to get 4 points from the GDI Flag instead of the intended 2 like other infantry.
- Corrected the warhead used by the normal Chem Sprayer. This caused it to do less damage over time and likely less damage overall.


- All Maps
	--Added Tiberium Miner Terminals and Tiberium Mining Nodes all over every map.
	--Fixed a TON of vis bugs.
	--Cutting the regular version of re-done maps out as it sucks having to maintain more maps. May return later...? Probably not...? City_Flying, Islands, Mesa.
	
- City_Fallout_Fly_Unl
	--Filled in some of the blank space where harvesters couldn't harvest tiberium in both of the tiberium fields.


- Volcano
	--Lowered the amount of ash from .5->.3.
	--Changed the time of day slightly to make the map less piss yellow.
	--Fixed quite a few vis bugs.
	
- IslandsStorm
	--Slightly lowered the density of rain.
	
- Walls_Flying
	---Corrected the rocket emplacement spawners. It should use the correct rocket emplacement now.


5.0 RC3---------

- Fixed an issue on Canyon_Unl that caused the Mammoth Tank to get stuck in the WF when built.
- Added a blocker to one location on Canyon_Unl to prevent players from getting to un-intended locations.

- Tank Destroyer
--WeaponTiltMin changed from -5 to -7.(Tank can aim down slightly lower)
--WeaponTurnMin changed from 0 -> -5 and WeaponTurnMax changed from 0 -> 5. This should make the tank less annoying to use. (Let's the tank turret aim slightly to the left and the right)
--Adjusted the damage the warhead does to armored infantry(Heavy Arms & Advanced Infantry) from 1.5 -> 1.0. So damage from a direct hit was reduced from 90->60. This should allow both of these infantry to take a single hit, but two will kill them.

- Motion Sensor
--Lowered the decay rate damage tick from .5 -> .25. This means the motion sensor will naturally decay at half of the previous speed. 
--Raised Max-Vol Radius from 20->25.
--Increased the sound's volume a little bit.

- Patch
--Tiberium Flechette Rifle Spray Angle lowered from .750 -> .500 (Buff. Less spread).
--Tiberium Flechette Rifle secondary fire Damage(repair speed) improved from 1.85->1.9. (Very slight buff).
--Tiberium Flechette Rifle secondary fire turn radius raised from 30 to 35. Will track it's repair target better.

- Locke
-- SprayAngle adjusted from 0.200 -> 0.150.
-- Adjusted RandomTrackingScale from .1 -> .06. These two changes will make his rockets a little tighter and move a little less.

- Combat Engineer/Combat Technician
--Lowered the decay damage on the Repair Tower from 3->2. It will decay naturally at 2/3 the rate previously with this change.
--Lowered the decay damage on the Spitfire Turret from 1.5->1. It will decay naturally at 2/3 the rate previously with this change.
--Raised Spitfire Turret Health from 100->120.

- Made various adjustments to the MK2 Main Cannon Explosion sound to make it a little less fatiguing. Reduced Max drop off radius. Slightly Reduced Max Volume Range. Minor random pitch adjustment.

- Made various adjustments to the Doomsday Tank Main Cannon Explosion to make it a little less fatiguing. Reduced Max drop off radius. Slightly Reduced Max Volume Range. Minor random pitch adjustment.

- Heavy Arms price raised from 3200 to 3400.

- Raised the projectile velocity on the Toxin Rifle from 100 to 150, to make it more reasonable to hit targets at a distance.

- Fixed an issue where the deployerror sound(also used for locke/kane terminal) can be heard anywhere on the map. It will now correctly only play near the failed deployable or the terminal... I hope.

- Set the Wraith Transport's "Type" to flying from Tank. This will hopefully fix potential issues with crates giving players the wraith transport on non-flying maps.


5.0 RC2---------
-Updated IslandsStorm to match the standalone .mix version I released.
--New terrain textures.
--Direction of rain changed.
--The middle area near the 2 water crossing is now accessible to infantry, and added two barriers for them to use as cover.
--TONS of vis bug fixes.
--Fixed an issue where the grass cover would block units within it from shooting.

-In the effort to make a temps version of my preset I also re-organized a lot of the presets from objects.ddb. Doesn't really matter for players.
-Reverted the Ion and Nuke Explosion Radius to 15 from 20. This was apparently changed at some point and I just want to keep the default renegade values.

-Adjusted Camera Shake Values. All of this will equal to very mild screenshake and only if you are being damaged.
--Reduced all intensity to a max of .05. If it was lower than this it will remain at it's old value(don't think anything is). If it's above it will be reduced to this value.
--Adjusted Camera Shake Radius to match the Damage Radius of the explosion. So you will only get slight screenshake if it's doing damage to you.
--Halved the Camera Shake duration (from default renegade values).
--Unleashed units had the Camera Shake durations reduced across the board. 

-Removed screenshake from Locke's Rocket Launcher secondary fire(the one that heals).
-Removed screenshake from the Support Launcher.
-Raised the range of the spy flamethrower from 10->30, to match normal flamethrower. It would be weird if it visually goes really far but doesn't actually do dmg.
-Raised the sprayangle of the spy flamethrower from 4->5. Why was it more accurate?

-Tiberium Strike Beacon
--Reduced beacon health from 225->200.
--Added a second type of the Tiberium Strike Beacon the mimics an ion cannon instead of nuke. So it's a 50/50 which side has to deal with the "fake" beacon.

-Spy Grenade Launcher
--The Grenade Launcher(Spy) was not using the correct ammo type. This has been corrected any many issues with it fixed.
--Lowered the Direct Damage from 15->12.
--Corrected the used warhead type to Steel from Chem.
--Corrected the projectile Velocity to 30 from 75.
--Corrected the Gravity value from .1->1.750
--Corrected the GrenadeSafetyTime from 0->.250

-Corrected the Railgun's range to match that of the PIC. 150->125 Range. Only the standard railgun. The others remain the same.
-Corrected the Ramjet range to 300 from 150.

-Improved the Laser Chaingun's SprayAngle from .750 to .550. Secondary fire remains unchanged.
-Increased the primary fire projectile of Rocket Launcher(Strong) from 25->30, minor bump from the standard.
-Removed the shotgun secondary fire mode "double shot".
-Corrected the Shotgun(Spy)'s damage to 15 from 25.

-Adjusted Apoc Tank Main Fire Gravity from .9->.6
-Lowered Apoc Tank Main Fire Range from 165->155.
-Adjusted the range of the Apache Gun from 50->80 to bring it a little closer to the Orca's range of 100.

-Lowered the reload speed of Proximity Mines from 2.000->1.600. This lets you place mines faster.

-The No Refill versions of the Proximity Mines and Remote Mines will now display that they are the no refill versions below the hud icon.
-Increased the points the hacker gives the killer on death from 0->8.750
-Fixed the GDI Hacker so they will use GDI First person hands instead of NOD first person hands.
-Fixed the Nod Hacker so they will use Nod First person hands instead of GDI first person hands.

-Raised Combat Driver's Health from 150->200.
-Raised DamagePoints on Combat Driver from 0.01->0.06.
-Raised DeathPoints on Combat Driver from 1->17.5.

-Raised the Damage Points on all Spies from 0.01->0.06
-Raised the Death Points on all Spies from 1->17.5

-Raised the Damage Points on Demo Infantry from 0.01->0.08.
-Raised the Death Points on Demo Infantry from 1->25.0.

-Raised the Damage Points on Advanced Infantry from 0.01->0.08.
-Raised the Death Points on Advanced Infantry from 1->25.0.

-Raised the Damage Points on Heavy Arms from 0.1->0.18.
-Raised the Death Points on Heavy Arms from 10.0->75.0.

-Raised the Damage Points on Maus from 0.01->0.08.
-Raised the Death Points on Maus from 1.0->25.0.

-The Demo Infantry can no longer drive a vehicle.
-Corrected the speed of the alternate Mammoth Tank to be the same speed as the default renegade verion of the mammoth.
-Changed Orca Bomber Seat count from 3->2.
-Changed Dragoon seat count from 2->1.
-Changed Comanche seat count from 2->1.
-Changed Overlord seat count from 2->1.
-Changed Banshee seat count from 2->1.

-All Emplacements.
--Adjusted Damage Points to 0.5->0.04.
--Adjusted Death Points from 100->25.

-Fixed an issue where the Repair Tank was using the Technician Repair Gun instead of it's own weapon.
-Fixed a visual issue where the Tick Tank's treads would appear to bounce.

-Set skin for the Guard Tower/Nod Turret to MCT.
-Increased the HP for Guard Tower/Nod Turret to 400.
-Lowered price of Flame/Chem Tank to renegades default of 800, from 900.

-Toned down the recoil by half for the Reaper Tank.

-Lowered the HP of Toxin Infantry to 55 but raised armor to 245 to compensate.
-Lowered the HP of Mutated Petrova from 210->110 but raised armor to 200 to compensate.

-Flame Tank
--Lowered Range from 40->35 to more closely match the flame emitter.
--Lowered SprayAngle from 15->7.5 to more closely match the flame emitter.

-Chem Tank
--Lowered Range from 40->35 to more closely match the flame emitter.
--Lowered SprayAngle from 15->8 to more closely match the flame emitter.

-Fixed an issue where the Recon Bike's world box would be partially visible in certain situations. (Credit: Mortcalc13)

-The Mirage Tank was given the Medium Tank weapon instead of the Light Tank weapon to increase it's damage.

-Support Launcher
--Lowered the explosion healing from 40->30.
--Raised the direct hit healing from 5->10.
--Raised the gravity of the projectile to 2 from 1.75

-Doomsday Tank
--Damage Radius from 18.5->18
--Damage Strength of Explosion from 255->160.
--Lowered Reload Speed from 5.5s->5s.
--Lowered Direct Damage from 150->90.
--Lowered range from 180->160.

-Raised stealth range for infantry from 25->30.

-Repair Tank
--Raised price of Repair Tank to 600 from 350.
--Raised the Health/Armor of the Repair Tank from 100/50 to 125/100.

-Prism Tank
--Changed Direct Damage from 350->175.
--Changed Reload Speed from 2.5->1.25.
--Changed Charge Speed from 1.2->1.0.
--Better DPS and no one shotting 1k infantry.

-Recon Bike
--Adjusted Recon Bike Health/Armor from 150/0 to 125/100.
--Lowered the Damage Points from 0.27->0.04.
--Lowered the Death Points from 100.0->35.0.
--Secondary Fire Warhead changed from Shell to Explosive_NoBuilding(explosion too). So only main fire will damage buildings.
--Raised Secondary Fire Explosion Radius from 8->10.
--Lowered Secondary Fire Explosion Damage from 50->35.
--Lowered Secondfary Fire Direct Damage from 90->60.

-Removed the ability to buy Remote C4 on the equipment menu.
-Removed the Ability to enter the MK2 Front gun and made it an automated ai weapon due to an on-going bug im unable to fix.

-The GDI Guard Tower will no longer select targets based on their value.
-The GDI Guard Tower is now more likely to target closer units.

-Fixed an issue where Mutated Petrova, Combat Driver, and Sakura Virus could enter the MK2.

-Mutated Raveshaw Skin
--Lowered HP from 275->100.
--Raised Shield Strength 100->175.
--Changed Skin Type to SkinMutant, making him immune/heal off tiberium.

-All railguns will now do 2x damage to MCTs, to match the Prototype Ion Cannon. Previously was 1.5x

-Changed MK2 Camera from GDI_Orca to NOD_Apache. This brings the camera further out and allows for better visibility.

-Reduced Tiberium Strike Radius from 85->55.

-Demo Infantry
--Changed Suicide Explosions damage warhead type from Laser to Fire.
--Adjusted explosion damage from 950->165.
--Adjusted unit price from 750->550.
--Now has the Grenade Launcher(Strong) instead of Grenade Launcher(Standard).

-Removed the custom loading screen, and restored the loading screen text. It was sadly time to go. It had multiple visual issues.
-Fixed/Removed a buggy texture on the Power Plant stairs.

--Bot related--
-Doors will now open for AI like they would for players. This will greatly improve them getting stuck on doors.
-C&C_Canyon_Unl
--Removed many pathfind blockers. Resulting in bots able to take many more and better paths. They can now navigate through the tunnels as well.
--Added some pathfind blockers to the arch with the tiberium under it. This means bots will not navigate through it.
--Added a waypath for infantry that goes AROUND the tiberium in the front of both bases. The exception is if they have located an enemy, they then lose their mind and pay no mind to their wellbeing.

-C&C_City_Flying_Unl
--Added path find blockers to the small gap at each base. I don't trust bots to use this properly.
--Added waypaths for infantry to navigate around the tiberium fields. They'll follow these and go around the tiberium, unless they have spotted a target.


5.0 RC1--------
-Nod Turret/GDI Guard Tower
--Removed the ability for players to control these. Switching to a different script that doesn't cause the tons of issues these are causing.
--The Nod Turret will now focus targets in this order. Light Vehicle->Heavy Vehicle->Infantry->Aircraft . This might not be always the case as sometimes this can be modified to attack a closer target rather than a target further away.
--The Nod Turret will try to splash infantry instead of hitting them directly.
--The GDI Guard Tower will now focus targets in this order. Infantry->Light Vehicle->Aircraft->Heavy Vehicle. This might not be always the case as sometimes this can be modified to attack a closer target rather than a target further away.

-Adjusted GrenadeSafetyTime of the Support Launcher's Primary fire from .250->.010 so that it will go off instantly on contact. The secondary fire will still bounce.
-Fixed an issue where the Nod Solider could enter MK2.
-Switched Locke to use the "Maus" repair warhead. This makes it so locke's repair is less effective against mines and beacons since the radius is so big. You could disarm beacons from inside a building.
-Fixed an issue where the Refinery MCT Screen was missing. Normal Renegade bug.
-The black hand units will now have their own individual names. Stealth Black Hand, Laser Black Hand, and Sniper Black Hand.

-Added proper BOT support to maps. They won't be perfect(kinda dumb tbh) but they should function exceptionally better than before.
--Fixed an issue where bots would commit suicide frequently after spawning. This should be much less frequent. Done by adjusting the trigger zones on mpdr_0, mpdr_0b, mpdr_obl, mpgdr_0, mpgdr_1. Reduced size on all of them greatly.
--When bots are spawned the bots are not properly configured for this map will no longer appear.
--Bots will now generally choose their targets much better. So a sniper won't shoot a mammoth and focus on infantry for example.
--Bots will not get the following Infantry:Hacker, Spy, Demo Infantry, Kane, Locke
--Bots will not get the following Vehicles:Ferrari, Viper, Harvester, Transport Helicopter, Tank Destroyer, Overlord, Wraith Transport, Interceptor, Dragoon, Buggy2, Recon Bike, MK2, Repair Tank, Orca Bomber, Non-turning MRLS(They opt for turning turret).



4.966--------
-Adjusted the stealth visibility range. It wasn't re-adjusted after reverting to the default stealth effect.
--Adjusted MPStealthDistanceHuman from 100->25.(Vanilla is 15)
--Adjusted MPStealthDistanceVehicle from 100->60.(Vanilla is 50)

-Sakura Virus
--Sakura Virus has been given it's own skin. Green version of the Red/Black alternate skin.
--Put the normal black suit Sakura skin back to how it was originally in Renegade.
--Virus Rifle's Rate of Fire adjusted to match that of the ramjet. (1.750->0.750)

-Reduced Screenshake of the doomsday tank explosion.
--Radius reduced from 55->19 to closely match it's damage range.
--Reduced CamersShakeIntensity from .250->.100
--Reduced the CameraShakeDuration from 2.500->2.000

-Added a Viper car to the mod for fun, also an alternative to the humvee/buggy. (Credit: Pwncall)

-Removed some Soviet Logos/Text on the Doomsday Tank.


4.965--------
-Fixed an issue where the Tiberium Strike Beacon would not spawn on IslandsStorm_Unl and Islands_Unl.
-Fixed vis bugs duh.
-Improved the first person animations for the Auto Shotgun.
-SLIGHTLY nerfed Apoc weapon reload speed from 1.900->1.950.
-Nerfed Heavy Arms Railgun reload speed from 2.000->2.400. Still faster than normal railgun.
-Corrected the bullet tracer for the GDI Gun Emplacement.

-Adjusted the armor type CNCVehicleSkin. This is used by Heavy Arms and Advanced Infantry.
--Adjusted damage taken from Steel type warhead from 0.2000->0.2200. Meaning they will take more damage from, direct rocket hits, chainguns, apc/buggys, etc.
--Adjusted damage taken from Shrapnel type warhead from 0.1000->0.1100. Meaning they will take a little more damage from Rifles, Shotguns, Snipers.
--This means they(Heavy Arms/Advanced Infantry) will generally take 10% more damage from these types of damage. However, they are still very resistent to these damage types.

-Kane's Railgun
--Fixed an issue where the seconday fire would HEAL beacon's or c4 you were trying to disarm(woops lol).
--Nerfed the secondary's fire ability to disarm c4 skin type. The result of this is it will still fully disarm a C4, but will only disarm 200 out of the 275 hp of a beacon. So it will still require a little work with a repair gun.

-Reverted Ramjet changes to default Renegade values. (Old un-needed changes)
--Reload speed from 1.960->2.060
--Rate of Fire from .700->.750

-Toxin Infantry
--Raised sheild amount from 125->200.
--Changed skin type to SkinMutant, allowing them to heal off of tiberium/chem damage.



4.964--------
-New Islands Variation IslandsStorm.
--A New very dark and stormy version of Islands. Included as an additional map so you still have the option to use normal Islands.
--Added new mountains that prevent b2b on the map.
--Added a wall/barrier near the front of GDI's base. To give relief to repairers and a little cover for tanks.
--Added a few decorations.

-Normal Islands
--Returned to a sunny state since Islands Storm now exists, along with changes to fogs, clouds, and so forth.
--Added the small barrier near the GDI entrance like was added in Island's Storm.

-Removed the custom stealth effect, reverting the mod back to the default effect.
-Renamed Combat Engineer to Combat Driver to more clearly communicate through it's name what the role of the unit is.
-Set Stealth Generator to be a stealth unit and added JFW_Stealth_Generator_Ignored script to it. Done to hopefully fix an issue where dedicated servers will have the little blue tank icon on the vehicle revealing it to enemies.
-...Fixed vis bugs.
-Replaced the treads on the (Beta/Default)Mammoth Tank to match the other Mammoth/Medium Tank.
-Fixed an issue where the Nod Hacker could enter various vehicles/base defenses that they shouldn't be able to.
-Raised the price of the Spy from 350->500.
-Fixed a missing texture for the bushes on Islands. This caused them to not appear on the map.

-Tiberium Stike Beacons will no longer be spawned when the map starts, and will spawn 5 minutes after it starts.
-Made the Interceptor easier to enter. Should be less issues trying to get inside now.
-The explosion model/animation has been changed for the Virus Rifle. The explosion animation is bigger.
-The explosion model/animation has been changed for the Overlord chem grenades.
-Changed the firing sound for the alternate(damaging) fire for the Repair Gun(Strong).


-Combat Driver
--Now has their own Auto Shotgun instead of the standard shortgun.
--The Auto Shotgun has 2 fire modes.
--First fire mode fires 6 pellets at a high rate of fire in comparision to the standard shotgun.
--The secondary fire is an armor-piercing explosive slug. Better than standard fire against more heavily armed targets and good for hitting targets around corners in close quarters infantry combat.


-Apocalypse Tank
--Lowered Rocket Explosion Damage Radius from 7.5->7.0
--Lowered Rocket Explosion Damage from 100->95.


4.962--------
-Reverting/Adjusting the Railgun/Personal Ion Cannon to values closer to Vanilla/Normal Renegade.
--Railgun reload time adjusted from 2.2->2.8. (Default Ren: 2.850)
--Personal Ion Cannon reload time adjusted from 2.2->2.8. (Default Ren: 3.000)

-Player Harvesters
--Lowered cost from 1200->1000.
--Reduced the amount the team gets when turning in from 500->400.
--A sound will now play when dumping the harvester load and when you're done harvesting.

-Slightly adjusted the Volcano WF Spawn location to fix an issue with the Default Mammoth Tank option getting stuck.
-Adjusted/Improved the Enter/Exit transitions of the Nod Turret. It is both easier to enter, and this fixes an issue where players could potentially get stuck in the turret.



4.961--------
-Implemented a new special model for the Building Destroyer C4 on the Covert Ops. (Created by Mortalc13/Demonic)
-The Ferraris now have a horn. Just right click to beep beep.
-The Player Harvesters now have a horn. Just right click to honk honk.
-Implemented a few higher quality emitters. Chem Spray, Blood spray(when hit), and electric effect.
-Implemented new armor varients for Prototype Assault and Mobius. Work the same as other armored varients(slower/more armoer), other than that they are cosmetic.
-Fixed the visuals of the dead pine tree(ghost tree) on Under that was placed in the middle of the hill.
-Lowered the respawn time of +50 armor and +50 health spawners(used only on Mesa?) from 120->90 seconds, and reduced the variance from 60->15 seconds.
-Lowered the respawn time of +50 armor and +50 health spawners(used only on Mesa?) from 120->90 seconds, and reduced the variance from 60->15 seconds.
-Improved the placement of the ladder to the top of the nod tunnel on C&C_Canyon_Unl.
-Potentially fixed an issue where one of the Mirage Tank textures would not correctly be downloaded with ttfs.

-Slightly lowered the Rate of Fire of Kane's Railgun. .850->.800
-Lowered the Rate of Fire of Locke's Rocket Launcher from 1.100->1.000

-Fixed the Laser Rifle of the Advanced Infantry to correctly use the name Advanced Laser Rifle.
-The Sniper Rifle on Covert Ops has now been renamed to Battle Rifle.

-Fixed a particularly large amount of vis bugs this time. A lot of new ones were caused by regenerating vis in last update. Most of all on flying maps.
-Removed a custom version of hpad_bolt.dds, that was ugly and made many things look strange.

-Toxin Infantry
--Now uses a GDI Model of the Acolyte. (Provided by Mortalc13)
--Implemented first person, power up, and back model for the Toxin Rifle!(Credit Mortalc13).
--Now holds the Toxin Rifle at the hip instead of the shoulder, looks better with the new model.
--Implemented a new HUD icon to go with the above changes.

-Combat Engineer
--The Pilot Regen the Combat Engineer now provides regen ticks every 1 seconds instead of every 2 seconds(4 regen/s). Effectively regenerating at double the speed.
--The GDI Combat Engineer now has it's own distinct skin. HUD Icon to go along with it too.
--The Nod Combat Engineer now has it's own distinct skin. (Credit: Pachira?) HUD Icon to go along with it too. 



4.96----------

-Tiberium Extractors
--Implemented new Tiberium Extractor's on some maps. These can be are objects that generate 1 credit per second for the owning team(like a silo). Each team starts with 1 on maps where they are located. 
--Captured by repairing them until they get to full health, and then switch to the owning team.
--So for example you "repair" or capture a Nod Tiberium Extractor until it's full to capture it. Think of repairing as a hacking tool and the health bar as a progress bar in this situation.
--These cannot be destroyed. Only captured.

-Reaper Tank
--Used a more detailed version of the Reaper Tank model. Looks a bit better and has some exhaust now.
--As a result of the new model I had to adjust the physics a bit, but the handling should feel a bit better now. May need some further adjustment.
--Updated HUD Icon.

-Doomsday Tank
--Used a more detailed version of the Doomsday Tank model. This fixes quite a few visual bugs and is now a more detailed model.
--Due to the new model changed the Camera used to the Mammoth Tank Camera from the Medium Tank Camera for better visibility.
--As a result of the new model I had to adjust the physics a bit, it feels more grounded and controllable but may be a teeny bit slower. Which is good for this op piece of trash.
--Updated HUD Icon.

-Apocalypse Tank
--Used a more detailed version of the Doomsday Tank model. This really just adds some more decoration to the vehicle and some exhuast.
--As a result of the new model I had to adjust the physics a bit, will handle a little different and be a bit lower to the ground(argueably a buff). 
--Updated HUD Icon.

-Prism Tank
--New Texture! Looks so much better than the plain texture.
--New Hud Icon to go along with the the new texture.
--Adjusted the track animation a little bit on the Prism Tank's treads.

-Hacker
--GDI now has the hacker unit as well. New HUD Icon to go with it as well.
--Note: Unit has been buffed a bit with the intended role of capturing Tiberium Extractors and some Light Support(Repairing) on the side. 
--Unit price increased from 700->750.
--The unit has 25 armor making the total 100/25.
--Unit is now a stealth unit.
--Unit was upgraded to have a standard repair gun instead of a weak repair gun.
--The hacker can capture(repair) the new Tiberium Extractors much quicker than other units. Twice the speed of a hotwire/tech.
--Moved the Nod Hacker's Hud Icon position from slot 5->8 so it can be in the same spot as the new GDI Hacker.

-After discovering Proxy Mine damage was raised SIGNIFICANTLY in the mod reverted the damage back to vanilla value. (150->100.). Probably raised a long time ago since mine limits weren't as much of a thing in the past.
-Updated the Mammoth and Medium Tank Beta Models to use Mortalc13's fixed beta models.
-Fixed a ton of vis bugs.
-Fixed Mutated Petrova on nod having the incorrect name(Mendoza).
-Fixed Petrova on GDI having the incorrect name(Mobius).
-Added a few units to the block list for entering GDI Guard Tower/Nod Turrets, so enemies can't enter a teams base defenses.
-Implemented Mortalc13's fixed c4s. Better collision and they don't go into roofs and stuff as badly.
-Changed the firing sound of the GDI Guard Tower.
-Fixed an issue where the firing sound radius of the GDI Guard Tower(Not AGT) was really small, and you could not hear yourself firing the weapon.
-Fixed an issue with the Mirage Tank treads not animating properly when moving.
-Added the Renegade Beta version of the light tank as an alternate light tank option.(Same thing but turret is placed a little differently).
-Fixed an issue where the explosion damage for the Virus Rifle was not scaled. It will now scale down the further away from the center of the explosion you are.
-Fixed the Banshee having an invisibile projectile. No shoots little red orbs.

Maps---
-All
--Recalulated lights and vis after modifiying all maps.

-Field
--Adjusted the time of day to a darker time of day.
--Added walls and ramps to the long tunnels on both sides.
--Adjusted the position of the Nod Turrets so that they properly shoot at targets outside of the Nod base more often.
--Raised the GDI Guard Tower near the Weapons Factory so it is more likely to target enemies right outside the gdi base entrance.

-Hourglass
--Added two Tiberium Extractor's inside the tunnels in the middle area.
--Added 25 Health and 25 Armor Powerups on a 30s respawn timer on the hill, behind the rocks.

-Canyon
--Added Fog and Wind to try and give the map a bit of a sandstorm vibe.
--Added a GDI Tiberium Extractor behind the crates in the GDI base. This can be captured. Cannot be killed.
--Added a Nod Tiberium Extractor behind the crates in the Nod base. This can be captured. Cannot be killed.
--Added a ladder to the top of the tunnel entrance near the Hand of Nod. So Nod can get up it more easily.
--Added a ladder to the top of one of the bunkers in the nod base.
--Added a Gun Emplacement to the top of one of the nod bunkers in the base.
--Added a ladder to the top of one of the crates in the GDI base.
--Added a Gun Emplacement to the top of one of the crates in the GDI base.
--Added a 25 heatlh and 25 armor spawner to the little area to the left right outside the GDI base.
--Added a 25 heatlh and 25 armor spawner to the structure near the front of the NOD base.

-Complex
--Added a GDI Guard Tower(Not AGT) in the middle of the GDI base.
--Added a Nod Turret in the middle of the Nod base.
--Added two Tiberium Extractors in the tunnels down below in different spots.
--Added a 25 heatlh and 25 armor spawner to the infantry areas near the sandbags on both sides.

-City Flying
--Added a Tiberium Extractor in each tiberium field at the corner near where the harvesters drive by.

-Islands
--Put grass cover(visual cover) in various places on the map.
--Added a jank ass ramp near the entrance of the nod base that let's you get up that little rock spot.

-Mesa
--Removed the rocket emplacement placed on top of the infantry only area... tower? I previously added this but bad idea.
--Extended the infantry only area out a bit, added a big shipping container + some steel tank traps to block vehicles(except maybe recon) from entering the extended infantry only area.
--Added two Tiberium Extractors to the new extended infantry only area.
--Moved one of the Nod Turrets.
--Ghetto rigged a platform for one of the Nod Turrets to sit on so it more reliably shoots at enemies outside the side entrance.
--Added 2 GDI Guard Towers to the GDI base.

-Volcano
--Added Two Nod Turrets to the Nod Base.
--Added Two GDI Guard Towers to the GDI Base.

-Walls Flying
--Deleted the rocks blocking vehicles from getting onto the ramps in all spots. You wanna flip your vehicle on the ramp go right ahead. Do a sick trick and get some air? Yep. These were some lame rocks.
--Placed 2 Tiberium Extractors down in the tiberium fields that the harvesters don't drive too.

-Under
--Hopefully fixed an issue where you could glitch through the dead snow pine added on the hill.



4.95-----------
-New Hud Icons!
--Implemented new HD Hud Icons for ALL of the remaining infantry, vehicle, and equipment. (Credit: Mortalc13 and Me :>) (Huge shoutout to mortal for the tons of help with these)
--Changed the Medium Tank Hud icon for the vanilla version of the tank to more closely match it's model.
--Changed the MRLS Hud Icon for the rotating version of the MRLS to more clearly indicate that it's the rotating version. (Credit: Mortalc13).

-Added Fixed & Better Weapon Models by Mortalc13. This includes MANY visual improvements/fixes to the original vanilla weapons. There's to many to list. If you want to read the changes you can visit the link to the file here: https://multiplayerforums.com/files/file/2440-fixed-better-weapon-models/ (Credit: Mortalc13, Gen_Blacky (Mr.Z), Slave, ErroR)
--As a bonus this fixes some characters having janky looking low LOD versions of weapons. Such as Maus, Heavy Arms, Covert Ops, and maybe some more.

-Big Mod Cleanup!
--TL;DR The mod was significantly cleaned up and textures converted to proper formats. This results in the mod being about HALF the size it was before and after the clean-up.

-Fixed it so that Kane doesn't also generate credits for GDI.(WOOPS lol)
-Implemented a fixed/improved version of the Heavy Arms model. (Special Thanks: Mortalc13 for the w3d).

-All maps have been re-saved/renamed to include _Unl after it's name. So C&C_Under_Unl for example. Done to avoid it conflicting with the official maps(most of all on servers). In the future the maps might become standalone too, so this is just an early step.

-Fixed an issue with dedicated servers where the soldier's presets were not being applied when spawning. Causing their weapons not to work quite right(2nd fire mode etc).
-Fixed an issue with dedicated servers where the Recon Bike preset wasn't being applied.
-Support Launcher will now have an alternate grenade firing sound.
-The Stealth Generator will now have a serparate skin from the Stealth Tank. It's a black/dark grey. This way you can tell them apart.
-Raised the tick tanks chaingun range from 120->125 to match it's cannon range.
-Raised the max engine torgue on the Mirage Tank from 13k->16k(It moves a little faster).
-The Nod Commanche was given it's default sounds that already existed instead of the apache helicopter sounds. SP Sounds???
-The Overlord is now also borrowing the commanche's since it's sound files have been lost to time.
-The Overlord grenades now make a sound when fired(just the grenade launcher sfx).
-The Reaper Tank will now exit out of the sides by default instead of behind the vehicle. Only if both sides are blocked will it do behind. This should make you much less likely to get stuck on it when exiting the vehicle.
-Heavily Reduced Camera shake on all c4 explosions.

-Dragoon
--Fixed the vehicle sound not working.
--Removed the bugged damage emitters on the Dragoon. This means it won't randomly be on smoke. (Credit: Mortalc13 for the new model).
--Adjusted the world box for the Dragoon(better collision/smaller worldbox).(Credit: Mortalc13 for the new model).

-Wraith Transport
--Moved the GDI Wraith transport hud icon to be the same as nods.
--The vehicle should now be easier to enter, as it could be a little tough before.
--Improved the exit transitions for the vehicle. It should put you out of the vehicle in better spots.



4.94-----------
-Added a new equipment menu!
--Temporary blank icons. Hopefully gonna get around to making hud icons for all the missing stuff at some point.
--Accessed by holding alt while clicking on the refill icon.
--Changed the refill string to Refill(Hold Alt 4 Equipment). So people can see in-game and know what to do.
--Currently available options below. Equipment/Cost/Can Refill/Team Specific
--Weak Repair Gun(150)(Unlimited Ammo)
--Proximity Mines(125)(6 mines)(Cannot refill)
--Grenade Launcher(Standard)(50)(Can refill)(GDI)
--Flamethrower(50)(Can refill)(Nod)
--AutoRifle(50)(Can refill)
--Remote C4(100)(1 C4)(Cannot refill)

-Kane's Railgun and Locke's Rocket Launcher no longer receive ammo from refills, to prevent refill spamming their secondary fires.(They still have unlimited ammo)(Toggled CanReceiveGenericCnCAmmo)
-Added a new Recon Bike preset that will hopefully fix issues with conflicting it some kind of server settings. So recon bike adjustments should work again.
-Fixed the Hover MRLS dumbfire rockets not going in the direction you are aiming.
-Added/Changed to Mortalc13's(aka DemonicXTC13?) HD_Classic_Purchase_Icons_v1.0.2 for HD Purchase icons.
-The Tiberium Strike beacon for now has the same timer as a Nuke. I'm unable to change the nuclear strike string/sounds related to it at the moment. So this will at least make the timer match and give people more of a reasonable chance to disarm it.

Covert Ops---
-Lowered the amount of Building Destory C4 that they carry to 1 from 2.
-The Covert Ops pistol now has it's own name, Covert Pistol.

Advanced Infantry(Both Sides)---
-The Advanced Infantry's specific Laser Rifle is now called the Advanced Laser Rifle.
-The reload speed has been set to match the reload speed of the normal laser rifle, which makes it reload a lot quicker (1.8->1.070)
-The magazine size lowered from 150->125.
-The Advanced Laser Rifle's beam color now has a different beam color to differentiate it from the normal laser rifle.
-The Advanced Laser Rifle now has it's own firing sound.
-Advanced Laser Rifle now has a secondary burst fire mode. 3 Shot "Burst"(all at once like a shotgun not a spread out burst). Costs 3 ammo, has a fire rate penalty.

Repair Gun(Strong)---
-Raised the range of Repair Gun(Strong) repair beam to 15(from 14) to match vanilla Renegade's range... not sure why it was lower?
-Lowered the damage beam alternate fire range to 15 from 16, to match the range of the repair beam.

Repair Tank---
-Raised the range of Repair Gun(Strong) repair beam to 15(from 14) to match vanilla Renegade's range... not sure why it was lower?
-Lowered the damage beam alternate fire range to 15 from 17, to match the range of the repair beam.

MRLS---
-Fixed the MRLS dumbfire rockets not going in the direction you are aiming.
-Added two variants for the MRLS. The default option is the classic MRLS where the turret does not turn, and the alternate has a turning turret. It's simply another option in the PCT Menu, complete with Purchase menu icons to show which is which(Thanks Mortalc13).

4.934-----------
-Raised the minimum fall damage distance from 5->8. Some transitions put you out higher to be safe and this will make you less likely to be damaged, or take less dmg. Also fall dmg sucks.
-Fixed the HD Hud Icons by Mauler not being used.
-Corrected the bullet decal leftover by Dragoon and Interceptor laser weapons(Bullet->BulletLaser).

-Mammoth MK2
--Raised Maximum Health and Armor from 1200/1200->1400/1400.
--Now Regens 5 HP/s instead of 2 HP/s.
--Hopefully improved the exit transitions for the front gun.
--Raised front gun damage from 8->10.
--Lowered front gun range from 300->150.
--Moving some of the damage from MK2's Direct hits to it's explosion damage since, it's a real pain to hit both cannons on a target.
--Lowered main cannon damage from 200->150.
--Raised main cannon range from 130->150.
--Raised main cannon explosion damage range from 10->14.
--Raised main cannon explosion damage from 65->90.

4.932-----------
-Corrected the Grenade Launcher(Strong) having the wrong name of Grenade Launcher(Standard).
-Fixed the normal Flame Thrower also having the wrong name.
-Fixed/Removed a script that caused the Nod Harvester to have a stealth vehicle effect(not actually stealthing).
-Added dumbfire to both the MRLS and HoverMRLS as a secondary fire mode.
-Fixed many VIS Bugs. Though I'm sure there are many more.


4.93------------
-Added a "Heal" warhead type. This warhead type only affects infantry. Does not work on buildings, vehicles, c4, etc. It does effect shieldkevlar(infantry armor). 
--Note: Does not heal certain infantry such as Heavy Arms and Advanced Infantry.

-Added a MausRepair warhead.
--Same as repair warhead but slightly reduced effectiveness against c4. Also, in case further balancing against specific types of targets is needed later.

-Patch
--Patch's tiberium flechette rifle has given a new secondary fire mode. It will allow him to "patch" up his teammates. Using the new heal warhead he can shoot at friendlies to heal them with the secondary fire. Only works on infantry. Does not work on Advanced Infantry or Heavy Arms.

-Sakura Virus
--Sakrua Virus' Virus Rifle has given a new secondary fire mode. Instead of hurting enemy you can use the rifle to heal friendlies using the new heal warhead. Only works on infantry. No explosion. Does not work on Advanced Infantry or Heavy Arms.
---Because of this she has no scope. Better learn to noscope.

-Removed Special Ops. Special Ops just a slightly buffed nod soldier.
-Removed Anti-Air Gunner. (GDI Gets the Gattling Tank as well now. As noted elsewhere.)

-Renamed Grenade Launcher to Grenade Launcher(Standard).

-All Repair Beams now have their own colors. 
--Repair Gun(Weak) has a yellow/greenish beam.
--Repair Gun(Standard) has the standard beam color you're used to.
--Repair Gun(Strong) has a blueish white beam.
--Repair Tank has the same color as the Repair Gun(Strong), since that's what it most closely resembles.

-Overcharge shots on Volt Auto Rifles now have a slightly different color. Depending on which volt auto rifle.

-Gattling Tank
--Added a new Gattling Tank as the main model, the old one is still available via an alternate option for Nod.
--Added Gattling Tank to GDI. Shares a HUD Spot with Mirage Tank, but is the main displayed option.
--Lowered the weapons RecoilTime and RecoilScale from .2/.3 to 0.000.
--Lowered the weapons RecoilImpulse from 1.000->0.000.

-Mammoth MK.2
-Switched the rocket turrets primary and secondary fire. Now the primary will be the general purpose rocket and the secondary will be the anti-air fire.

-New Units!
-Locke(GDI)
--Considered a "Leader Unit". High Health/Armor, has special armor type to take reduced damage. Can not be one shot headshot even by a Ramjet. Friendlies repairs or heals against you are more effective.
--Has his own Special Rocket Launcher Variant. More info in new weapons section.
--Provides a Credit Trickle for his team. The amount varies based off of the person receiving the credits.  <500 Credits = 6 Credits/s --- 501-1000 Credits = 4 Credits/s --- >1000 Credits = 2 Credits/s
--Has a Repair Gun(Strong) and Proximity Mines.
--Gives a lot of points when damaged and killed.(555 for kill)
--Cannot enter vehicles. Cannot be squished. Cannot refill. Cannot DRIVE vehicles.

-Kane(Nod)
--Considered a "Leader Unit". High Health/Armor, has special armor type to take reduced damage. Can not be one shot headshot even by a Ramjet. Friendlies repairs or heals against you are more effective.
--Has his own Special Railgun Variant. More info in new weapons section.
--Provides a Credit Trickle for his team. The amount varies based off of the person receiving the credits.  <500 Credits = 6 Credits/s --- 501-1000 Credits = 4 Credits/s --- >1000 Credits = 2 Credits/s
--Has a Repair Gun(Strong) and Proximity Mines.
--Gives a lot of points when damaged and killed.(555 for kill)
--Cannot enter vehicles. Cannot be squished. Cannot refill. Cannot DRIVE vehicles.

-Maus(GDI)
--Support/Combat Grenadier. More info in new weapons section.

-Petrova(GDI)
--Can be bought as an Alternate option to Mobious.
--Less Health(210). Faster Movement Speed. Different Volt Auto Rifle.

-Mutated Petrova(Nod)
--Can be bought as an Alternate option to Mendoza.
--Less health(210). Standard Speed. Heals in Tiberium. Different Volt Auto Rifle.

-New Weapons!
--Kane's Railgun
---Has 999 ammo and simply shoots between shots, rather than reloading like a normal railgun.
---Overall faster fire rate than any other railgun, slightly faster than Heavy Arms.
---Has a secondary fire that instead of damaging heals a target to full hp. However it consumes all ammo and forces a reload, the weapon has a 10 second reload, disabling your ability to do this again, for 10 seconds or firing. You also have to keep the weapon out. Repairs less on buildings, but still a nice chunk.

--Locke's Rocket Launcher
---Has 999 ammo.
---Overall better Rocket Launcher than any other Rocket Launcher. Shoots 3 rockets which individually do less but together do more damage. Faster rate of fire, tracks, good velocity, and turns well.
---Has a secondary fire that explodes in a very large radius healing all targets. Cannot heal himself. However it consumes 455, the weapon has a 10 second reload, disabling your ability to do this again, for 10 seconds or firing. You also have to keep the weapon out to reload.

--Support Launcher.
---Unit(s); Maus
---Primary fires a grenade for aoe repairs on targets.
---Secondary fires a bouncing grenade for aoe repairs on all targets.
---Yes, this can disarm c4. However it has reduced power specifically against c4 since it's aoe.

--Grenade Launcher(Strong).
---Unit(s); Maus
---Primary fire is the same as the standard Grenade Launcher, but stronger. 15->25 direct dmg/30->40 Velocity/.750->.850 Fire Rate/3.2->2.8 Reload Time/Exp Damage Radius 4.2->6.0
---Secondary fire, fires 2 Standard Grenade Launcher Bounce Rounds in a spread. (Same as normal grenade launcher secondary fire.. except 2 grenades.)

-Moved the Combat Engineer HUD Entry to entry 7 from 10. On both teams.

4.914------------
-Fixed gdi harvester on islands.
-Added a new transition to guard towers that exit you outside of the tower a bit higher up in-case the tower is sunken down into the ground a bit to be less exposed. Prevents getting stuck inside.
-Fixed starting ammo ammount on spawn soldiers.

-Gave all of the Rocket Launchers distinct names so you can tell the difference between them at a glance.
--Rocket Launcher(Standard) for Rocket Soldier Officer.
--Rocket Launcher(Strong) for Gunner.

-All Spy weapons have had (Spy) applied to the end of their weapons name. So you can tell they are different+in the event they are allowed to drop you know what kind you got at a glance.

Anti-Air Gunner---
-Gave the Anti-Air Gunner a grenade launcher so he has SOMETHING besides pistol that isn't purely anti-air.

Mirage Tank---
-Maybe fixed missing mirage tank texture?
-Raised health/armor from 180/180->200/200. 

Doomsday Tank---
-Decreased Seat Count from 3->2. Not sure why it was 3 to begin with.

Mammoth MK2---
-Increased TurnTorqueScaleFactor from 0.200 to 0.300.

Tow Hum-vee---
-Lowered Tow Hum-vee magazazine size to 5. It's a bit strong and 5 is a better number than 6.

4.910------------
-Implemented terrain files for all the normal maps into the mod .pkg to prevent falling through the terrain if the files aren't present on the server.
-Adjusted the GDI Harvester path on Hourglass and it should not work properly.
-Removed the scripts files from within the mod.

-Tesla Tank
--Raised shield amount from 250->300. Making it 300/300.
--Raised weapon range from 55->85.
--Raised damage from 15.5 to 16.
--No longer has a magazine size and has 999 ammo.

-Gattling Tank
--Raised shield amount from 125->175. Seemed a little low for a 1K vehicle.
--Changed the Warhead type on the Anti-Infantry Fire to Steel. This will cause it to do more damage to certain targets, and is a sizeable buff.

-Recon Bike
--Recon Bike secondary fire range reduced from 300 to 100. Hopefully this will make it more difficult to do some kind of ridiculous b2b with.

4.807---
-Doomsday tank(Man what was I thinking).
--Lowered Range from 550 to 180.
--Lowered Targetting Range from 550 to 180.
--Lowered Projectile Velocity from 100 to 75.
--Raised Projectile Gravity from 0.800 to 1.400.
--Slowed reload time from 5.000 to 5.550. Stupid leveledit doesn't let me do 5.555.
--Lowered Direct Hit Damage from 175 to 150.
--Lowered the exploison damage from 295 to 255.
--Lowered the Camera Shake.

-Raised price of Stealth Black Hand to Renegade's default 400.
-Raised price of Stealth Syndey to 450 (letting nod have small stealth advantage).

-Increased Prism Tank's Range to 155, from 125.
-Fixed the amount of ammo that Mendoza(bonus clip/ammo version) gets when you buy him.
-Fixed the amount of ammo Sakura Virus gets when you buy her.
-Increased the reloading time of the Gattling Tank from 1 second to 2 seconds.
-The anti-air fire the for the Gattling Tank now takes 3 bullets per shot.
-Reduced the Tank Destroyer's damage against buildings.
-Reduced(fixed) the damage the Nod Flame Thrower Spy does. It now does the same damage as normal flamethrower. Still a weaker weapon because of clip/ammo.

-Fixed it so Tiberium Strike Beacon doesn't crash when it's animation is supposed to start.

-Gave all of the repair guns distinct names so you can tell the difference between them at a glance.
--Repair Gun(Weak) for Hacker.
--Repair Gun(Standard) for Engineers/Combat Engineers.
--Repair Gun(Strong) for Hotwires/Techs.

-Now including the Credits.txt readme within the mod .pkg itself. Going forward other readmes from other mods used(if it has one when adding it) will be included in the .pkg as well.
-Added Mauler's HD Purchase Icon SUPERPACK 1.0.
-Raised the respawn time for all emplacement spawners from 30s->60s, except Rocket Emplacement which was raised to 90s.
-Rocket Emplacement rockets now track. Don't see why not, otherwise might as well kind of be a cannon emplacement.
-Fixed the Cannon Emplacement so it uses the proper ammunition. It was using an AI version previously.
-Raised the Max AI Attack Distance for the GDI Guard Tower from 150->200. Player Range remains 300.
-Raised the Max AI Attack Distance for the Nod Turret from 150->200. Player Range remains 300.
-Reduced the Tiberium Strike Beacon's Health from 275->225. Makes it a little easier to disarm.
-All Emplacements except the Rocket Emplacement were given 100 shields bringing them to 100/100.
-Rocket Emplacements adjust to 150health/100shield.
-Reduced the screenshake of the artillery primary fire.
-Heavy Arms will now hold it's railgun more at the hip instead of the shoulder. Still no idea why the model is bugged oh well.
-Heavy Arms can no longer be squished.
-Heavy Arms can no longer drive vehicles... they are the vehicle!

-Adjusted the damage shrapnel warhead(snipers) do to cncvehiclelight(MRLS/Arty/Humvee/Buggy) from .1 to .2. Doubling the damage. It was previously nerfed hard this brings it closer to vanilla renegade. (60 dmg per shot in normal ren. It WAS 20 in unleashed, now it's 40 per shot)
-Raised the range of the Stealth Generator's Stealth field from 25 to 35.
-Lowered radius of Tiberium Strike's Explosion from 95->85.
-Fixed a typo on Demo Infantry's Weapon.
-Fixed Reaper Tank's name. Was ReaperTank.
-Changed ADVLaserRifle to Advanced Laser Rifle.
-Changed AdvancedInfantry to Advanced Infantry.
-You know what just fixed a few other names of items that needed spaces.
-Lowered Virus Rifle's(Sakura Virus Weapon) explosion radius to 10 from 12.
-Lowered Virus Rifle's Direct Damage from 175->150.
-Changed the name of the Covert Ops Special Timed C4 to Building Destroyer C4, to more clearly communicate that they are unique and what they do.
-Adjusted the 2nd fire mode for mobious/mendoza to what I'm calling overclock fire. The 2nd fire previously took 3 ammo to do 60% more damage. It is now being adjusted to provide 20% more damage and 2x range, as range is the weapon's biggest weakness. Ammo consumption remains the same.
-Removed the custom artillery explosion skin, and might cause confusion.
-Raised Flamethrower damage from 2 -> 2.25 after testing it vs grenadier. What a joke.
-Flamethrower finally learned to use his backpack, and now has 999 clip size. Maybe one day the chem warrior will learn too.

-Losing the Power Plant only increases the cost of items by 1.5x instead of 2x. So 1k item after lost pp now costs 1500 instead of 2000.
-Default vehicle limit raised from 8 to 15.
-Fixed various vis bugs.
-Fixed multiple floating objects on blizzard.
-Fixed some wonky terrain near buildings on blizzard.
-Adjusted starting ammo for both of the basic infantry for both sides. Since it was wonky.

--Map Changes--
ALL MAPS
-Replaced Peds with GDI/NOD Capped Peds.
-All Maps with NOD Turrets have been replaced with the Improved targeting turrets(from vanilla)+player controller. 
-All Maps with GDI Guard Towers(Not AGT) have the Improved targeting version+player controller.


Volcano
-Increased Cloud Cover and Cloud Gloominess.
-Added Volcanic Ash Weather.
-Added some wind to go with the volcanic ash.
-There are now ladders to climb on the big central bunker.
-Placed a Rocket Emplacement players can control on top of the central bunker.

Islands
-Added Cannon Emplacements to top of small bunkers in each base.
-Changed Clouds.
-Changed time of time. Darker.
-Added Rain.

Mesa
-Added a Rocket Emplacement to the side infantry only area on the top of a structure.
-Added a Rocket Emplacement to the side area on the top of a structure.
-Added Gun Emplacements on top of each of the sides bunkers on top.
-Added ladders allowing you to climb on top of the two bunkers.
-Replaced Base Nod Turrets with ones that are both automated+players can control if they opt too.
-Replaced Peds with GDI/NOD Capped Peds
-Added a light snow to the map.
-Added a wall near the weapons factory/gdi entrance. To relieve some of people's vehicles getting destroyed before they can even get in.
-Added a rock near the obelisk and a NOD Tower near the side infantry path. Both with the purpose of giving some relief to people tryint to get to their vehicles, from getting sniped. It can still happen there's just less of a window.

Field
-Added a ladder in the central barn that allows you to get to the higher up area, and added a Tiberium Strike Beacon up there.
-Added two GDI Guard Towers to the GDI Base.
-Added two Cannon Emplacements on top of the bunkers.
-Adjusted Fog. Less Minimum Range.
-Added War Blitz "Weather".

Under
-Added another tree between the two trees on top of the hill.
-Added 2 ladders to the top of the bunkers.
-Added 2 GDI Guard Towers to the front of the GDI Base.
-Added Heavier Snow, Wind and Increased Fog(unusual for me to add). Trying to give a bit of atmosphere to the map.

City_Flying
-Added Gun Emplacements in the top tunnel opening in each of the bases.
-Added 3 GDI Guard Towers to the GDI Base.
-Added 4 Rocket Emplacement on top of the buildings.
-Added Lightning to the map.
-Added some rain to the map. I like rain.
-Moved the map's fog a little further out(less fog).

Hourglass
-Added 2 GDI Guard Towers to front of GDI Base.
-Added some walls/ramps on the top side areas that are for infantry. Gives them more cover/elevation.
-Added a GDI Tower to one side path and a NOD Tower on the other side path.
-Added Rocket Emplacements to the tops of both of them.
-Added 2 Rocks on the side path with the NOD Tower.

Canyon
-Added a small amount of wind.

Complex
-Added sandbags in a few infantry spots.

Walls Flying
-You can fit so many emplacements in this bad boy.
-Added a fuck ton of emplacements. Just so many.
-Cleared up the sky.

Blizzard
-Increased the size of the ped zones a little bit.
-Slightly increased size of the player harvester zones.
-Fixed/Adjust the terrain in some places near buildings.
